/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package sync4j.framework.server.store;

import sync4j.framework.server.store.PersistentStoreException;

/**
 * Indicates that a particular object could not be found in the persistent store.
 *
 * @author  Stefano Fornari @ Funambol
 *
 * @version $Id: NotFoundException.java,v 1.2.4.1 2005/01/20 16:09:23 luigiafassina Exp $
 */
public class NotFoundException extends PersistentStoreException {
    
    public NotFoundException(String msg) {
        super(msg);
    }
    
    public NotFoundException(String msg, Throwable cause) {
        super(msg, cause);
    }
}